/*
 * Datascript for ZVT and TrapDoor
 *
 * When this script is called, the data connection is established and
 * TrapDoor may begin with its handshake.
 *
 * TrapDoor and your mailbox program have to open the serial device in
 * SHARED mode (no change) and with the same baud rate which is set in
 * ZVT.
 *
 * If you want to use another mailer or mailbox program instead of
 * TrapDoor, remember that this program has to exit as soon as the data
 * session is finished.
 */

options results

  /*
   * TrapDoor Options for non-Trapdoor lifeforms :-)
   *
   * BBSMODE EXIT : Spawn BBS program if needed, let TrapDoor exit 
   *                as soon as the mailbox program quits
   *
   * ANSWER       : Let TrapDoor run in answer mode, meaning waiting
   *                for a call and the usual 'Press ESC twice..' blurb
   *
   * IMMEDIATE    : Don't initialize modem, start with login procedure
   *                instantly
   */


  ADDRESS COMMAND 'TrapDoor BBSMODE EXIT ANSWER IMMEDIATE'
  ADDRESS ZVT.1 hangup

