/* Script For Viewing GPFax-Document from ZVT	*/

options results

signal on halt
signal on syntax
signal on break_c

options failat 50

say "ARexx-script for viewing GPFax-Document from ZVT"
say ""

/*
 * Gets the file name connected to the currently selected entry.
 * (There IS an entry selected, otherwise this script isn't called.)
 */

ADDRESS zvt.1 getname

file = result

/*
 * Processing is as similar as in FaxScript.rexx
 */

ADDRESS COMMAND "WFP REXX_GPFAX 0"

if rc>0 then
	do
		say "Starting GPFax."
		ADDRESS COMMAND "run >nil: <nil: GPFax:GPFax -z -W -NP -Q"
		ADDRESS COMMAND "WFP REXX_GPFAX 30"
		if rc>0 then
			do
				say "Couldn't start GPFax."
				exit
			end
		say "Sending ""viewfax " file """ to GPFax."
		ADDRESS rexx_gpfax viewfax file
		say "Quit GPFax."
		ADDRESS rexx_gpfax quitfax
	end
	else
	do
		say "Sending ""viewfax " file """ to GPFax."
		ADDRESS rexx_gpfax viewfax file
	end

exit



error:
	call Debug("Error" rc "at line" sigl)
	return rc

break_c:
halt:
	call Debug("CTRL_C at line" sigl)
	exit 20

syntax:
	call Debug("Syntax error" rc "at line" sigl)
	return rc


Debug: procedure
	parse arg info

	firstLine = sourceline(1)
	parse var firstLine '/*' title '*/'
	say title ':' info
	return
